package com.ajb.car.quotation.service;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ajb.car.entity.quotation.AgPoQuotation;

public interface AgPoQuotationService {
	AgPoQuotation save(AgPoQuotation agpoquotation);
	Boolean delete (Long id);
	AgPoQuotation update(AgPoQuotation agpoquotation);
	AgPoQuotation findById(Long id);
	Page<AgPoQuotation> findByObjPageable(AgPoQuotation agpoquotation,Pageable pageable);
	/**** 下面是自定义方法 ****/
	/**
	 * 按交易号 和 请求或响应 查询
	 * @param tranNo
	 * @param inOrout
	 * @return
	 */
	public AgPoQuotation findByQuoteNo(String quoteNo);
}
